package com.ruoyi.project.production.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.production.mapper.TFivesChangeRecordMapper;
import com.ruoyi.project.production.domain.TFivesChangeRecord;
import com.ruoyi.project.production.service.ITFivesChangeRecordService;

/**
 * 区域检查整改记录Service业务层处理
 *
 * @author ruoyi
 * @date 2023-03-30
 */
@Service
public class TFivesChangeRecordServiceImpl implements ITFivesChangeRecordService
{
    @Autowired
    private TFivesChangeRecordMapper tFivesChangeRecordMapper;

    /**
     * 查询区域检查整改记录
     *
     * @param id 区域检查整改记录ID
     * @return 区域检查整改记录
     */
    @Override
    public TFivesChangeRecord selectTFivesChangeRecordById(Long id)
    {
        return tFivesChangeRecordMapper.selectTFivesChangeRecordById(id);
    }

    /**
     * 查询区域检查整改记录列表
     *
     * @param tFivesChangeRecord 区域检查整改记录
     * @return 区域检查整改记录
     */
    @Override
    public List<TFivesChangeRecord> selectTFivesChangeRecordList(TFivesChangeRecord tFivesChangeRecord)
    {
        return tFivesChangeRecordMapper.selectTFivesChangeRecordList(tFivesChangeRecord);
    }

    /**
     * 新增区域检查整改记录
     *
     * @param tFivesChangeRecord 区域检查整改记录
     * @return 结果
     */
    @Override
    public int insertTFivesChangeRecord(TFivesChangeRecord tFivesChangeRecord)
    {
        return tFivesChangeRecordMapper.insertTFivesChangeRecord(tFivesChangeRecord);
    }

    /**
     * 修改区域检查整改记录
     *
     * @param tFivesChangeRecord 区域检查整改记录
     * @return 结果
     */
    @Override
    public int updateTFivesChangeRecord(TFivesChangeRecord tFivesChangeRecord)
    {
        return tFivesChangeRecordMapper.updateTFivesChangeRecord(tFivesChangeRecord);
    }

    /**
     * 批量删除区域检查整改记录
     *
     * @param ids 需要删除的区域检查整改记录ID
     * @return 结果
     */
    @Override
    public int deleteTFivesChangeRecordByIds(Long[] ids)
    {
        return tFivesChangeRecordMapper.deleteTFivesChangeRecordByIds(ids);
    }

    /**
     * 删除区域检查整改记录信息
     *
     * @param id 区域检查整改记录ID
     * @return 结果
     */
    @Override
    public int deleteTFivesChangeRecordById(Long id)
    {
        return tFivesChangeRecordMapper.deleteTFivesChangeRecordById(id);
    }
}
